#include "grbc/spec.h"
#include "grbc/state.h"

bool grbc_has_option(const std::string &option_name) {
  for (auto &k : GState::get().options) {
    if (k.first == option_name)
      return true;
  }

  return false;
}

std::string grbc_get_option(const std::string &option_name) {
  for (auto &k : GState::get().options) {
    if (k.first == option_name)
      return k.second;
  }

  grbc_exception("Failed to find option with name '" + option_name + "'");

  return "";
}